System.Design 2.0.0.0 System.Enum

The following table describes the two options for associating an object-bound smart tag to a component.

Smart-tag model

Description

Pull

The class derived from that is associated with the component overrides the property to return the collection of smart tags for that component.

Push

A call to the method explicitly associates the specified smart tags with the specified component.

For more information about these smart-tag models, see the and classes.

Specifies the type of object-bound smart tag with respect to how it was associated with the component.

- Field
  2.0.0.0
  System.ComponentModel.Design.ComponentActionsType

  Both types of smart tags.

- Field
  2.0.0.0
  System.ComponentModel.Design.ComponentActionsType

  Pull model smart tags only.

- Field
  2.0.0.0
  System.ComponentModel.Design.ComponentActionsType

  Push model smart tags only.